Subject: RE: [mobile-ip] IPv4 Fast Handover Support for 802.11

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Wed, 20 Mar 2002 04:17:40 +0100

Alper, 

  > > Hello James,
  > > I am  not sure if I completely agree with this draft. I am 
  > > attaching some paper from Microsoft which is not 
  > > confidential. Based upon the work defined in 
  > > the document, I do not sure why it is not possible to 
  > > get trigger in case of 802.11. I believe we do not 
  > > really need to define anything special for 
  > > 802.11. I think getting L2 tigger for 802.11 looks like 
  > > some implementation issues not standard issue. Any 
  > > comments ? 
  > 
  > Yes, I agree. Getting L2 triggers on the mobile node side
  > for WLAN is an implementation issue. 
  > 
  > Getting L2 triggers on the AR/FA side requires a protocol,
  > IMO. Access point is what is aware of clients associating 
  > (link up) and disassociating (link down). Getting this information
  > from access point to the router behind it would require a transport.

=> Agreed. So a network initiation in WLAN is 
currently not possible as far as I know.
I read the paper that Ajoy sent and I think
it's more thant enough for WLANs. 

Hesham

  > 
  > > regards,
  > > ajoy 
  > 
  > alper
  > 
  > 
  > > 
  > > 
  > > 
  > > -----Original Message-----
  > > From: James Kempf [mailto:[email-masked]]
  > > Sent: Sunday, December 02, 2001 5:57 PM
  > > To: [email-masked]
  > > Subject: [mobile-ip] IPv4 Fast Handover Support for 802.11
  > > 
  > > 
  > > Folks,
  > > 
  > > As some of you may have noticed,
  > > draft-ietf-mobileip-lowlatency-handoffs-ipv4.txt does not 
  > support fast
  > > handoff for the current 802.11 MAC. While the 802.11 spec 
  > is always
  > > subject to change, it may take awhile and the IPv4 fast 
  > handoff work is
  > > supposted to be immediately deployable. We've done a 
  > short proposal for
  > > how to support fast handoff for 802.11 as it currently 
  > exists, it's at
  > > 
http://geocities.com/kempf42/draft-kempf-mobileip-postmit-handover-00.tx
> t, it fits into the existing
> low latency framework fairly smoothly. Sorry we couldn't get this in on
> time, but we just figured it out in the last couple days. This proposal
> also has some other uses, re the low latency draft, and it is just to
> get the conversation started about how to fix low latency for 802.11
> (that is, we don't necessary expect the WG to accept it as is, but we do
> want to get the problem solved).
> 
>             jak
>

---

From: "James Kempf" <[email-masked]>
Date: Tue, 19 Mar 2002 19:50:09 -0800

Gentlemen,

> it's more thant enough for WLANs.

Not so fast.

There is a problem on the mobile side as well in that the 802.11
standard *protocol* doesn't provide any signal prior to handover, it
just reassociates. Now, it is possible, depending on the 802.11 card and
driver, to force handover to a particular access point, note power level
and indicate when handover is likely and where, etc., but this is not
the same as getting a definitive L2 trigger saying when handover is
going to occur and where the MN will go, and it is *most definitively*
not portable. Some NIC cards/drivers support it, others don't.

As an example of a problem that could occur, suppose the driver makes an
assumption, based on power levels, that the MN is going to handover
somewhere and the IP level starts performing prehandover care of address
change. The standard has no commitment that the handover will, in fact,
occur, and it could equally well be aborted and the MN could handover to
another access point.

Bernard Abboba and I are attempting to raise this issue with the IEEE
802.11 committee, since they are interested in supporting fast handover.
Bernard gave a short presentation on the problem at the 802.11 meeting
in St. Louis last week, I'm planning on going to Vancouver in July along
with Bernard to discuss it in more detail with the committee.

                    jak